=== debian/changelog ===
ros-eloquent-rmw-connext-shared-cpp (0.8.2-1bionic) bionic; urgency=high

  * Update maintainers (#468 <https://github.com/ros2/rmw_connext/issues/468>) (#471 <https://github.com/ros2/rmw_connext/issues/471>)
  * avoid using build time Connext library paths, determine them when downstream packages are built (#385 <https://github.com/ros2/rmw_connext/issues/385>) (#433 <https://github.com/ros2/rmw_connext/issues/433>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-rmw-connext-shared-cpp (0.8.1-1bionic) bionic; urgency=high

  * Support localhost only communication (#373 <https://github.com/ros2/rmw_connext/issues/373>)
  * update logic / patches to optionally support Connext 6 (#374 <https://github.com/ros2/rmw_connext/issues/374>)
  * Contributors: Brian Marchi, Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-rmw-connext-shared-cpp (0.8.0-1bionic) bionic; urgency=high

  * Return specific error when not finding a node name (#365 <https://github.com/ros2/rmw_connext/issues/365>)
  * Add function for getting clients by node (#361 <https://github.com/ros2/rmw_connext/issues/361>)
  * Use rpputils::find_and_replace instead of std::regex_replace (#359 <https://github.com/ros2/rmw_connext/issues/359>)
  * Implement get_actual_qos() for subscriptions (#358 <https://github.com/ros2/rmw_connext/issues/358>)
  * Contributors: Jacob Perron, M. M, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Sep 2019 05:00:00 -0000

ros-eloquent-rmw-connext-shared-cpp (0.7.2-1bionic) bionic; urgency=high

  * Include 'srv' in service type namespace. (#356 <https://github.com/ros2/rmw_connext/issues/356>)
  * Contributors: Michael Carroll, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-rmw-connext-shared-cpp (0.7.1-1bionic) bionic; urgency=high

  * Combine package name with type namespace in type support struct (#354 <https://github.com/ros2/rmw_connext/issues/354>)
  * Implement QoS: liveliness, deadline, lifespan (#352 <https://github.com/ros2/rmw_connext/issues/352>)
  * Contributors: Devin Bonnie, Jacob Perron, Michael Carroll

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-rmw-connext-shared-cpp (0.7.0-1bionic) bionic; urgency=high

  * Add rmw includes to cppcheck (#348 <https://github.com/ros2/rmw_connext/issues/348>)
  * pass context to wait set and fini context (#343 <https://github.com/ros2/rmw_connext/issues/343>)
  * Use narrow to downcast to a type specific datareader (#339 <https://github.com/ros2/rmw_connext/issues/339>)
  * deduplicate code (#312 <https://github.com/ros2/rmw_connext/issues/312>)
  * Don't use DURATION_INFINITE, it is a RTI specific type (#335 <https://github.com/ros2/rmw_connext/issues/335>)
  * Make use of DDS namespace instead of DDS_ prefixed versions in global namespace (#328 <https://github.com/ros2/rmw_connext/issues/328>)
  * Directly assing mw_ret_t on declaring it and removed some mw_ret_t intermediate values which are not required (#321 <https://github.com/ros2/rmw_connext/issues/321>)
  * No need to use strcmp, we can compare a std::string with operator== t… (#320 <https://github.com/ros2/rmw_connext/issues/320>)
  * No need for DDS_InstanceStateKind scoping (#319 <https://github.com/ros2/rmw_connext/issues/319>)
  * Use empty() to check for an empty string (#317 <https://github.com/ros2/rmw_connext/issues/317>)
  * Use empty() instead of size() to check whether we have elements in th… (#316 <https://github.com/ros2/rmw_connext/issues/316>)
  * Fixed typo in comment (#315 <https://github.com/ros2/rmw_connext/issues/315>)
  * Contributors: Johnny Willemsen, Shane Loretz, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 13 Apr 2019 05:00:00 -0000

ros-eloquent-rmw-connext-shared-cpp (0.6.1-1bionic) bionic; urgency=high

  * Adds missing RMW_CONNEXT_SHARED_CPP_PUBLIC (#314 <https://github.com/ros2/rmw_connext/issues/314>)
  * Node graph impl (#313 <https://github.com/ros2/rmw_connext/issues/313>)
  * reduce verbosity when Connext is not available (#311 <https://github.com/ros2/rmw_connext/issues/311>)
  * Contributors: Dirk Thomas, Ross Desmond, Thomas Moulard

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Dec 2018 06:00:00 -0000

ros-eloquent-rmw-connext-shared-cpp (0.6.0-1bionic) bionic; urgency=high

  * use new error handling API from rcutils (#306 <https://github.com/ros2/rmw_connext/issues/306>)
  * Add semicolons to all RCLCPP and RCUTILS macros. (#304 <https://github.com/ros2/rmw_connext/issues/304>)
  * separating identity and permission CAs (#301 <https://github.com/ros2/rmw_connext/issues/301>)
  * Include node namespaces in get_node_names (#299 <https://github.com/ros2/rmw_connext/issues/299>)
  * Contributors: Chris Lalancette, Michael Carroll, Mikael Arguedas, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 06:00:00 -0000

ros-eloquent-rmw-connext-shared-cpp (0.5.1-1bionic) bionic; urgency=high

  * update maintainer
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 Jun 2018 05:00:00 -0000

ros-eloquent-rmw-connext-shared-cpp (0.5.0-1bionic) bionic; urgency=high

  * Use key rti-connext-dds-5.3.1 as package key name for connext. (#294 <https://github.com/ros2/rmw_connext/issues/294>)
  * update usage of rcutils_join_path() (#290 <https://github.com/ros2/rmw_connext/issues/290>)
  * Remove topic partitions (#285 <https://github.com/ros2/rmw_connext/issues/285>)
  * Disable non-standard TypeCode (#288 <https://github.com/ros2/rmw_connext/issues/288>)
  * Merge pull request #287 <https://github.com/ros2/rmw_connext/issues/287> from ros2/misra_fixup
  * Merge pull request #276 <https://github.com/ros2/rmw_connext/issues/276> from ros2/node_name_in_user_data

