=== debian/control ===
Source: ros-eloquent-rmw-connext-shared-cpp
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake-ros, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-connext-cmake-module, ros-eloquent-rcpputils, ros-eloquent-rcutils, ros-eloquent-rmw, ros-eloquent-rosidl-cmake, rti-connext-dds-5.3.1, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rmw-connext-shared-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-ament-cmake, ros-eloquent-connext-cmake-module, rti-connext-dds-5.3.1, ros-eloquent-ros-workspace
Description: C++ types and functions shared by the ROS middleware interface to RTI Connext Static and RTI Connext Dynamic.
